Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6097/?format=api
{ "ob_id": 6097, "uuid": "253b168c06406f962f4920857987c525", "title": "Met Office: Vaisala Radian LAP3000 1290 MHz vertical wind profiler measurements at Dunkeswell, UK (1999 - 2012)", "abstract": "A Vaisala Radian LAP3000 1290 MHz wind profiler has been permanently located at the Met Office's site at the Dunkeswell airfield near Honiton in East Devon, and has been operational since February 1999. This was one of two such profilers deployed in the UK at that time as part of the Met Office's UK \"Operational Upper Air Network.\" Operating at 1290 Mhz, Dunkeswell, like the other sites, is configured to operate in two modes. The low mode provides high resolution wind information up to 2km above the surface, while the high mode, with 210m resolution can see up to 8km under appropriate conditions.. The site is located at 50.87 N, 3.23 W and a height of 253 m above mean sea-level and has a WMO id of 03840. It has a beam angle of 15.5 degrees and is operated with an averaging period of 30 minutes.\r\n\r\nThis dataset contains vertical wind profiles from the Vaisala Radian LAP3000 1290MHz wind profiler located at Dunkeswell.", "keywords": "Met Office, wind", "publicationState": "published", "dataPublishedTime": "2003-11-16T15:47:29", "doiPublishedTime": null, "updateFrequency": "unknown", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6098/?format=api", "dataPath": "/badc/ukmo-wind-prof/data/dunkeswell", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1418106988, "numberOfFiles": 4188, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1781/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/134/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13200/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21769/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25857/?format=api" ], "dataLineage": "Data collected at various sites around the UK by the Met Office as part of the operational upper air network. A copy of the Met Office wind profiler data were then prepared and sent through to the BADC for use by the wider research community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3954/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6095/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6092/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6599/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25941/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25943/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25944/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25945/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25947/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41558/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25942/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/6099/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2532/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx", "label": "restricted: ukmo_wx group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" }, { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2533/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx_gov", "label": "restricted: ukmo_wx_gov group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement_gov.pdf", "licenceClassifications": "policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }